from direct.showbase.ShowBase import ShowBase
from panda3d.core import load_prc_file_data
load_prc_file_data("", "textures-power-2 none")

class FotoWall(ShowBase):
    def __init__(self):
        ShowBase.__init__(self)

        wall = loader.loadModel("models/wall")
        wall.reparent_to(render)

        picasso = self.load_painting(model = "models/canvas", texture = 'panda.png', scale = 0.0015)
        picasso.set_pos(0, 0, 0)
        picasso.reparent_to(render)
        
        banksy = self.load_painting(model = "models/canvas", texture = 'ralf.png', scale = 0.0015)
        banksy.set_pos(0, 2, 0)
        banksy.reparent_to(render)
        
    def load_painting(self, model, texture, scale):
        mod = loader.loadModel(model)
        tex = loader.loadTexture(texture)
        mod.set_scale(1, tex.getXSize()*scale, tex.getYSize()*scale)
        mod.set_texture(tex)
        fr = mod.find("**/frame")
        fr.setTextureOff(1)
        fr.set_color(0, 0, 0, 0)
        mod.flatten_light()
        return mod

FotoWall().run()